summaryrefslogtreecommitdiff
path: root/tests/du
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-01-12 09:25:33 +0000
committerJim Meyering <jim@meyering.net>2006-01-12 09:25:33 +0000
commit9d7a6ee0f3d700d23ca9a9017ce3054771e24c9c (patch)
tree2358e11f3d16c0ea81f8a5d3db5ecfd2e6df959a /tests/du
parent7dabfc7e730a41614a6c125cd7ab7d5e469dae59 (diff)
downloadcoreutils-9d7a6ee0f3d700d23ca9a9017ce3054771e24c9c.tar.xz
skip the test on a system that can handle this many symlinks in a file name,
Diffstat (limited to 'tests/du')
-rwxr-xr-xtests/du/long-sloop12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/du/long-sloop b/tests/du/long-sloop
index 8e777dc52..f857e74db 100755
--- a/tests/du/long-sloop
+++ b/tests/du/long-sloop
@@ -39,6 +39,18 @@ if test $framework_failure = 1; then
(exit 1); exit 1
fi
+# If a system can handle this many symlinks in a file name,
+# just skip this test.
+file=1`printf %${n}s ' '|sed 's, ,/s,g'`
+cat $file > /dev/null 2>&1 && \
+ {
+ cat <<EOF >&2
+$0: Your systems appears to be able to handle more than $n symlinks
+in file name resolution, so skipping this test.
+EOF
+ (exit 77); exit 77
+ }
+
fail=0
# With coreutils-5.93 there was no failure.